%define major   1.8
%define major_  8
%define libname %mklibname %{name}%{major}_ %{major_}
%define develname %mklibname %{name} -d

Name:           parted
Version:        1.8.8
Release:        %mkrel 5
Summary:        Flexible partitioning tool
License:        GPLv3+
Group:          System/Configuration/Hardware
URL:            http://www.gnu.org/software/parted/
Source0:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.bz2
Source1:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.bz2.sha1
Source2:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.bz2.sha1.sig
Source3:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.bz2.sig
Patch0:         parted-1.8.6-disksunraid.patch
# libreadline.so should refer libncurses.so since it needs it,
# but we don't want this for bootstrapping issue (?)
# so removing as-needed when detecting libreadline.so otherwise it fails
Patch1:         parted-1.8.8-fix-readline-detection-in-configure.patch
Patch2:		gnulib.diff
Requires(post): info-install
Requires(preun):info-install
BuildRequires:  device-mapper-devel
BuildRequires:  gettext-devel
BuildRequires:  libe2fsprogs-devel
BuildRequires:  libgpm-devel
BuildRequires:  libncurses-devel
BuildRequires:  libreadline-devel
BuildConflicts: check-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%package -n %{libname}
Summary:        Files required to compile software that uses libparted
Group:          Development/C
Requires:       e2fsprogs
Obsoletes:      %{mklibname %{name} 1.7} = %{version}

%package -n %{develname}
Summary:        Files required to compile software that uses libparted
Group:          Development/C
Requires:       e2fsprogs
Requires:       %{libname} = %{version}
Provides:       libparted-devel = %{version}
Provides:       libparted%{major}-devel = %{version}
Provides:       parted-devel = %{version}
Provides:       %{_lib}parted%{major}-devel = %{version}
Obsoletes:	%{mklibname -d parted 1.8 7} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 8} < %{version}-%{release}
Obsoletes:	%{mklibname -d parted 1.8 2} < %{version}
Obsoletes:      %{mklibname -d parted 1.8 1} < %{version}
Obsoletes:	%{mklibname -d parted 1.7 1} < %{version}

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -n %{libname}
This package includes the dynamic libraries

%description -n %{develname}
This package includes the header files and libraries needed to
link software with libparted.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
libtoolize --install --force
%configure2_5x --disable-Werror --enable-device-mapper
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

%files -n %{libname}
%defattr(-,root,root,0755)
%doc TODO
%{_libdir}/lib%{name}-%{major}.so.%{major_}*

%files -n %{develname}
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc


%changelog
* Thu Feb 26 2009 Pascal Terjan <pterjan@mandriva.org> 1.8.8-5mdv2009.1
+ Revision: 345222
- BuildConflict with check-devel, else it builds test app and installs it
- Fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for new libreadline

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 1.8.8-4mdv2009.0
+ Revision: 289163
- more spcific oboslete

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 1.8.8-3mdv2009.0
+ Revision: 289157
- obsolete old devel name rather than conflicts

* Mon Aug 18 2008 Emmanuel Andry <eandry@mandriva.org> 1.8.8-2mdv2009.0
+ Revision: 273303
- /usr/bin/label is not built on cluster
- remove /usr/bin/label
- apply devel policy
- fix build with p?\1952 from opensuse

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8.8-1mdv2009.0
+ Revision: 194356
- adjust file list
- new release

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.7-3mdv2008.1
+ Revision: 179138
- rebuild
- rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - new major
    - disable readline (readline detection patch has to be reworked, and aclocal -I m4 is used on some other distros but breaks build on Mandriva
    - New version
    - license is now GPLv3+
    - rediff patch 1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 David Walluck <walluck@mandriva.org> 1.8.7-2mdv2008.0
+ Revision: 26229
- change %%{makeinstall} back to %%{makeinstall_std}
- revert %%defattr change (fix permission in .la files)

* Thu May 10 2007 David Walluck <walluck@mandriva.org> 1.8.7-1mdv2008.0
+ Revision: 25887
- fix build
- fix rpmlint warnings
- 1.8.7

* Fri Apr 20 2007 Pixel <pixel@mandriva.com> 1.8.6-1mdv2008.0
+ Revision: 16160
- new release, 1.8.6
- update disksunraid patch
- add patch fixing readline detection in configure
- don't package new binary /usr/bin/label
  (hopefully not useful, use vol_id instead)
- libparted1.xxx-devel need explicit conflict on previous libparted1.xxx-devel


* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 1.8.2-3mdv2007.0
+ Revision: 113680
- fix libname and ensure it is correct

* Thu Jan 25 2007 Pixel <pixel@mandriva.com> 1.8.2-2mdv2007.1
+ Revision: 113408
- new release, 1.8.2

* Thu Dec 14 2006 Pixel <pixel@mandriva.com> 1.8.1-1mdv2007.1
+ Revision: 97094
- patch no-selinux no more needed
- new release, 1.8.1
- patch

* Fri Nov 24 2006 Pixel <pixel@mandriva.com> 1.8.0-1mdv2007.1
+ Revision: 86983
- new release
- new library major (libparted-1.8.so)
- ensure package can't build if the major is wrong
- force device-mapper (was the default)
- adapt patch10
- add /usr/include/multiarch-i386-linux/pci to file list (what's this?)
- Import parted

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.7.1-3mdv2007.0
- Rebuild

* Sun Aug 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- fix libification (libparted1.7 providing *.so.0 than *.so.1 lib...)

* Thu Aug 10 2006 Pixel <pixel@mandriva.com> 1.7.1-1mdv2007.0
- new release
- removed mac-swraid patch2 (added upstream)
- fix segfaults with dasd devices (patch3 from fedora)
- updated device-mapper patch (patch5 from fedora)
- use O_DIRECT to prevent first partition corruption on GPT disks (patch8 from fedora)
- add ped_exception_get_handler (patch9 from fedora)

* Fri Jun 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7.0-4mdv2007.0
- fix another missing buildrequires

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7.0-3mdv2007.0
- fix buildrequires
- force aclocal version
- be sure to wipe out buildroot before installing

* Tue May 30 2006 Pascal Terjan <pterjan@mandriva.org> 1.7.0-2mdv2007.0
- fix build (don't remove non existent %%_infodir/dir)
- mkrel

* Wed May 24 2006 Pixel <pixel@mandriva.com> 1.7.0-1mdk
- new release
- include patches from fedora
- use aclocal & autoconf for patch5 (libdevicemapper)
- doc/FAQ is no more

* Wed Dec 28 2005 Pixel <pixel@mandriva.com> 1.6.25.1-1mdk
- new release

* Fri Sep 23 2005 Pixel <pixel@mandriva.com> 1.6.24-1mdk
- new release

* Sat Jul 16 2005 Erwan Velu <velu@seanodes.com> 1.6.23-1mdk
- 1.6.23

* Thu Feb 03 2005 Pixel <pixel@mandrakesoft.com> 1.6.21-1mdk
- new release
- removing oldsundisk patch (mostly included upstream)

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.20-2mdk
- rebuild for new readline

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.20-1mdk
- 1.6.20

* Thu Dec 02 2004 Pixel <pixel@mandrakesoft.com> 1.6.19-1mdk
- new release

* Wed Nov 10 2004 Pixel <pixel@mandrakesoft.com> 1.6.16-1mdk
- new release
- update oldsun patch (hopefull it still works...)

* Fri Jul 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.11-2mdk
- fix sparc RAID (P0 from aurora)
- fix disk identification for old sun disks (P1 from aurora)

* Tue Jun 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.11-1mdk
- 1.6.11
- use libtoolize again

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.10-1mdk
- 1.6.10

